<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
    <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="css/boot.css">
  <script src="js/jquery.js"></script>
  <script src="js/boot.js"></script>
	<script src="js/jq.js"></script>
	
	<style>
svg {
  max-width: 100%;
  background: rgba(80,180,250,.1);
  height:100%;
  background-image: url('images/im2.png');
  background-size:cover;
}

.container1 {
  width: 500px;
  background: rgba(80,180,250,.1);
  height: 100px;
  transform-origin: 50% 0%;
}
.circle {
  width: 10px;
  height: 10px;
  background: red;
  border-radius: 50%;
  animation: moveMotion 4s 0s infinite linear;
}
@supports (motion-offset: 0) {
  .circle {
    motion-path: path("M 100 230 l 499 0 q 140 0 196 167 q 10 143 132 142 l 100 0");
  }
}
@supports (offset-distance: 0) {
  .circle {
    animation-name: moveOffset;
    offset-path: path("M 100 230 l 499 0 q 140 0 196 167 q 10 143 132 142 l 100 0");
  }
}

@keyframes moveMotion {
  100% { 
    motion-offset: 100%; 
  }
}
@keyframes moveOffset {
  100% { 
    offset-distance: 100%; 
  }
}


*,*::before,*::after {
  box-sizing: border-box;
}
	</style>
	
		<style>
	img{
		width : 100px;
	}
	.roulette{
		/* check in js for height cheange*/
		border-top-width: 10px;
		border-top-style: solid;
		border-right-style: solid;
		border-right-width: 10px;
		border-bottom-width: 10px;
		border-bottom-style: solid;
		border-left-width: 10px;
		border-left-style: solid;
		width: 120px;
		border-radius: 60px;
	}
	.col-sm-2{
		margin-top : 50px;
		height:200px;
	}
	.product .img-responsive {
		margin: 0 auto;
	}
	
	.center {
		display: block;
		margin-left: auto;
		margin-right: auto;
		width: 50%;
	}
	
	
	div.fixed {
	  position: fixed;
	  bottom: 0;
	  left: 0;
	  width: 240px;
	  z-index: 5;
	}
	
	html,body{ 
		height:100%; margin: 0; padding: 0; display:block;
		background: #448ed3 ;
			}
	</style>
	
</head>


<body onload="myFunction()">
<div class="container">
  <!-- Modal -->
  <div class="modal fade" id="myModal" onclick="relod()" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" onclick="relod() data-dismiss="modal">&times;</button>
          <h4 class="modal-title"> This is dummy Title Title</h4>
        </div>
        <div class="modal-body">
			<img id="popup" src="images/A (2).png"/>
          <p>Wikis are enabled by wiki software, otherwise known as wiki engines. A wiki engine, being a form of a content management system, differs from other web-based systems such as blog software, in that the content is created without any defined owner or leader, and wikis have little inherent structure, allowing structure to emerge according to the needs of the users.[1] Wiki engines usually allow content to be written using a simplified markup language and sometimes edited with the help of a rich-text editor.[2] There are dozens of different wiki engines in use, both standalone and part of other software, such as bug tracking systems. Some wiki engines are open source, whereas others are proprietary. Some permit control over different functions (levels of access); for example, editing rights may permit changing, adding, or removing material. Others may permit access without enforcing access control. Other rules may be imposed to organize content.
</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal" onclick="relod()">Close</button>
        </div>
      </div>
      
    </div>
  </div>
  
</div>
<img class="center" data-toggle="modal" data-target="#myModal" id="1" style="display:none;"/>


<div>
  <svg viewBox="0 0 1350 700">
    <path d="M 100 230 l 499 0 q 140 0 196 167 q 10 143 132 142 l 100 0" stroke-width="0" fill="none" stroke="#c9c9c9" id="theMotionPath"/>
    <circle cx="" cy="" r="40" fill="red">
          <!-- Define the motion path animation -->
          <animateMotion dur="5s" repeatCount="indefinite">
             <mpath xlink:href="#theMotionPath"/>
          </animateMotion>
      </circle>
  </svg>
</div>


<div class="container-fluid">
  
	<div class="fixed" >
		<h2 style="display:none">Config: <span id="config"></span></h2>
		<div class="roulette center" id="roll">
		  <img src="images/1.png"/>
		  <img src="images/2.png"/>
		  <img src="images/3.png"/>
		  <img src="images/4.png"/>
		  <img src="images/5.png"/>
		  <img src="images/6.png"/>
		  <img src="images/7.png"/>
		  <img src="images/8.png"/>
		</div>
		<button type="button" class="btn btn-danger center" id="go"><h5><b>ROLL</b></h5></button>
	
	</div>
</div>

</body>
<script href="js/dice.js"></script><script>(function($){var Roulette=function(options){var defaultSettings={maxPlayCount:null,speed:10,stopImageNumber:null,rollCount:3,duration:3,stopCallback:function(){},startCallback:function(){},slowDownCallback:function(){}};var defaultProperty={playCount:0,$rouletteTarget:null,imageCount:null,$images:null,originalStopImageNumber:null,totalHeight:null,topPosition:0,maxDistance:null,slowDownStartDistance:null,isRunUp:true,isSlowdown:false,isStop:false,distance:0,runUpDistance:null,isIE:navigator.userAgent.toLowerCase().indexOf("msie")>-1};var p=$.extend({},defaultSettings,options,defaultProperty);var reset=function(){p.maxDistance=defaultProperty.maxDistance;p.slowDownStartDistance=defaultProperty.slowDownStartDistance;p.distance=defaultProperty.distance;p.isRunUp=defaultProperty.isRunUp;p.isSlowdown=defaultProperty.isSlowdown;p.isStop=defaultProperty.isStop;p.topPosition=defaultProperty.topPosition};var slowDownSetup=function(){if(p.isSlowdown){return}p.slowDownCallback();p.isSlowdown=true;p.slowDownStartDistance=p.distance;p.maxDistance=p.distance+2*p.totalHeight;p.maxDistance+=p.imageHeight-p.topPosition%p.imageHeight;if(p.stopImageNumber!=null){p.maxDistance+=(p.totalHeight-p.maxDistance%p.totalHeight+p.stopImageNumber*p.imageHeight)%p.totalHeight}};var roll=function(){var speed_=p.speed;if(p.isRunUp){if(p.distance<=p.runUpDistance){var rate_=~~(p.distance/p.runUpDistance*p.speed);speed_=rate_+1}else{p.isRunUp=false}}else if(p.isSlowdown){var rate_=~~((p.maxDistance-p.distance)/(p.maxDistance-p.slowDownStartDistance)*p.speed);speed_=rate_+1}if(p.maxDistance&&p.distance>=p.maxDistance){p.isStop=true;reset();p.stopCallback(p.$rouletteTarget.find("img").eq(p.stopImageNumber));return}p.distance+=speed_;p.topPosition+=speed_;if(p.topPosition>=p.totalHeight){p.topPosition=p.topPosition-p.totalHeight}if(p.isIE){p.$rouletteTarget.css("top","-"+p.topPosition+"px")}else{p.$rouletteTarget.css("transform","translate(0px, -"+p.topPosition+"px)")}setTimeout(roll,1)};var init=function($roulette){$roulette.css({overflow:"hidden"});defaultProperty.originalStopImageNumber=p.stopImageNumber;if(!p.$images){p.$images=$roulette.find("img").remove();p.imageCount=p.$images.length;p.$images.eq(0).bind("load",function(){p.imageHeight=$(this).height();$roulette.css({height:p.imageHeight+25+"px"});p.totalHeight=p.imageCount*p.imageHeight;p.runUpDistance=2*p.imageHeight}).each(function(){if(this.complete||this.complete===undefined){var src=this.src;this.src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///ywAAAAAAQABAAACAUwAOw==";this.src=src}})}$roulette.find("div").remove();p.$images.css({display:"block"});p.$rouletteTarget=$("<div>").css({position:"relative",top:"0"}).attr("class","roulette-inner");$roulette.append(p.$rouletteTarget);p.$rouletteTarget.append(p.$images);p.$rouletteTarget.append(p.$images.eq(0).clone());$roulette.show()};var start=function(){p.playCount++;if(p.maxPlayCount&&p.playCount>p.maxPlayCount){return}p.stopImageNumber=$.isNumeric(defaultProperty.originalStopImageNumber)&&Number(defaultProperty.originalStopImageNumber)>=0?Number(defaultProperty.originalStopImageNumber):Math.floor(Math.random()*p.imageCount);p.startCallback();roll();setTimeout(function(){slowDownSetup()},p.duration*1e3)};var stop=function(option){if(!p.isSlowdown){if(option){var stopImageNumber=Number(option.stopImageNumber);if(0<=stopImageNumber&&stopImageNumber<=p.imageCount-1){p.stopImageNumber=option.stopImageNumber}}slowDownSetup()}};var option=function(options){p=$.extend(p,options);p.speed=Number(p.speed);p.duration=Number(p.duration);p.duration=p.duration>1?p.duration-1:1;defaultProperty.originalStopImageNumber=options.stopImageNumber};var ret={start:start,stop:stop,init:init,option:option};return ret};var pluginName="roulette";$.fn[pluginName]=function(method,options){return this.each(function(){var self=$(this);var roulette=self.data("plugin_"+pluginName);if(roulette){if(roulette[method]){roulette[method](options)}else{console&&console.error("Method "+method+" does not exist on jQuery.roulette")}}else{roulette=new Roulette(method);roulette.init(self,method);$(this).data("plugin_"+pluginName,roulette)}})}})(jQuery);


var option = {
	speed : 100,
	duration : 0,
	stopImageNumber : 0
}

var count = $('div.roulette').children().length

$('div.roulette').roulette(option);

$('#go').click(function() { 
  option.stopImageNumber = (Math.random() * count) >> 0; 
  $('#config').text(JSON.stringify(option))
  $('div.roulette')
    .roulette('option', option)
    .roulette('start');  
	//setTimeout(getNum(option["stopImageNumber"]), 4000);
	var a1 = option["stopImageNumber"];
	//var time = [500,1200,1850,2500,3000,3550,4150,4750];
	var time = [700,1400,2050,2700,3200,3750,4350,4950];
	setTimeout(function (){
		var elem = document.getElementById("circ");  
		document.getElementsByTagName('svg')[0].unpauseAnimations();
		setTimeout(function popup(){
			//console.log(document.getElementsByTagName('svg')[0].pauseAnimations());
			var h3 = document.getElementById("popup"); 
			h3.setAttribute("src", "images/A ("+(a1+1)+").png");
			document.getElementById("1").click();
			document.getElementsByTagName('svg')[0].pauseAnimations();
		}, time[a1]);
	}, 3000);
})
//location.reload();


function relod(){
	location.reload();
}

function myFunction(){
	document.getElementsByTagName('svg')[0].pauseAnimations();
}



</script>
<script>/*
SVG flexes nicely to different viewport dimensions. CSS Motion Path requires a little more work.  The above SVG has a viewBox that is 500 units wide (and 100 high), set to be 100% of the viewport.

To get the same dimensions (and most importantly use the same path), we need to set up a container for the CSS Motion Path element and set its dimensions to amtch the SVG's viewBox size (500x100).
  
To do this responsively (where the SVG has a max-width: 100% and the CSS Motion Path container can do the same), I think currently requires JS on load and resize. Scale the CSS Motion Path container to the SVG's current width / 500.
*/
var container1 = document.querySelector('.container1');
var svg = document.querySelector('svg');

function scaleCSSMP() { //will want to debounce this
  var width = parseInt(getComputedStyle(svg).width, 10);
  container1.style.transform = 'scale(' + (width/500) + ')'
}

scaleCSSMP();

window.addEventListener('resize', _.throttle(scaleCSSMP));
</script>
</html>